Bug 1138898 - Review Request: fastlz - Portable real-time compression library
Review Request: fastlz - Portable real-time compression library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1138901
  Show dependency treegraph
 
Reported: 2014-09-06 00:55 EDT by Remi Collet
Modified: 2014-09-24 20:20 EDT (History)
3 users (show)

See Also:
Fixed In Version: fastlz-0.1.0-0.1.20070619svnrev12.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-08 09:43:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
karlthered: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2014-09-06 00:55:58 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/a9fd870a43f30d4cc70047127752ad55056418da/fastlz/fastlz.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/fastlz-0.1.0-0.1.20070619svnrev12.remi.src.rpm
Description: 
FastLZ is a lossless data compression library designed for real-time
compression and decompression. It favors speed over compression ratio.
Decompression requires no memory. Decompression algorithm is very simple,
and thus extremely fast.

Fedora Account System Username: remi

Target: F19+, EL5+

This dead piece of code is proposed for review for unbundling purpose (used in pecl/memcached, pecl/yac, pecl/couchbase and php-fastlz... at least).
Comment 1 Remi Collet 2014-09-06 02:07:48 EDT
Copr test build:
http://copr.fedoraproject.org/coprs/remi/morephp/build/30955/


pecl/memcached changes (proposal):
https://github.com/php-memcached-dev/php-memcached/pull/151
Copr test build (el6 can be ignored, missing libevent > 2)
http://copr.fedoraproject.org/coprs/remi/morephp/build/30956/


pecl/yac changes (proposal):
https://github.com/laruence/yac/pull/42
Copr test build:
http://copr.fedoraproject.org/coprs/remi/morephp/build/30957/
Comment 2 Haïkel Guémar 2014-09-06 11:58:10 EDT
Note: for more context, please check this bundling exception request on FPC tracker: https://fedorahosted.org/fpc/ticket/448

I do not think this is code suitable for a shared library but since it is required by various PHP extensions and that the bundle exception seems problematic, I'll get over it. From a strict packaging point of view, it's perfectly handled.

Since this package complies with Fedora packaging guidelines, I hereby approve it into Fedora Packages Collection.
Please submit a scm request


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find LICENSE in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)". Detailed output of licensecheck in
     /home/haikel/1138898-fastlz/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/licenses
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/licenses
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: Buildroot is not present
     Note: Buildroot: present but not needed
[-]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: fastlz-0.1.0-0.1.20070619svnrev12.fc22.x86_64.rpm
          fastlz-devel-0.1.0-0.1.20070619svnrev12.fc22.x86_64.rpm
          fastlz-0.1.0-0.1.20070619svnrev12.fc22.src.rpm
fastlz.x86_64: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
fastlz.x86_64: W: incoherent-version-in-changelog 0.1-0.1.20070619svnrev12 ['0.1.0-0.1.20070619svnrev12.fc22', '0.1.0-0.1.20070619svnrev12']
fastlz.x86_64: W: no-documentation
fastlz-devel.x86_64: W: only-non-binary-in-usr-lib
fastlz-devel.x86_64: W: no-documentation
fastlz.src: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
fastlz.src: W: invalid-url Source0: fastlz-12.tar.bz2
3 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint fastlz fastlz-devel
fastlz.x86_64: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
fastlz.x86_64: W: incoherent-version-in-changelog 0.1-0.1.20070619svnrev12 ['0.1.0-0.1.20070619svnrev12.fc22', '0.1.0-0.1.20070619svnrev12']
fastlz.x86_64: W: no-documentation
fastlz-devel.x86_64: W: only-non-binary-in-usr-lib
fastlz-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
fastlz (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    rtld(GNU_HASH)

fastlz-devel (rpmlib, GLIBC filtered):
    fastlz(x86-64)
    libfastlz.so.0()(64bit)



Provides
--------
fastlz:
    fastlz
    fastlz(x86-64)
    libfastlz.so.0()(64bit)

fastlz-devel:
    fastlz-devel
    fastlz-devel(x86-64)
Comment 3 Remi Collet 2014-09-06 12:04:14 EDT
Thanks for the fast review!

New Package SCM Request
=======================
Package Name: fastlz
Short Description: Portable real-time compression library
Upstream URL: http://fastlz.org/
Owners: remi
Branches: f19 f20 f21 el5 el6 epel7
InitialCC:
Comment 4 Ralf Corsepius 2014-09-06 23:28:13 EDT
(In reply to Haïkel Guémar from comment #2)
> Note: for more context, please check this bundling exception request on FPC
> tracker: https://fedorahosted.org/fpc/ticket/448
> 
> I do not think this is code suitable for a shared library
We discussed this package during the last FPC meeting and came to exactly the opposite conclusion. This package is trivial to package separately and therefore there is no reason for not doing it.

More accurately, this discussion (Remi envolved) is the origin for this package submission.
Comment 5 Gwyn Ciesla 2014-09-08 08:22:21 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2014-09-08 09:41:08 EDT
fastlz-0.1.0-0.1.20070619svnrev12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fastlz-0.1.0-0.1.20070619svnrev12.fc20
Comment 7 Fedora Update System 2014-09-08 09:41:15 EDT
fastlz-0.1.0-0.1.20070619svnrev12.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fastlz-0.1.0-0.1.20070619svnrev12.el5
Comment 8 Fedora Update System 2014-09-08 09:41:20 EDT
fastlz-0.1.0-0.1.20070619svnrev12.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fastlz-0.1.0-0.1.20070619svnrev12.el6
Comment 9 Fedora Update System 2014-09-08 09:41:26 EDT
fastlz-0.1.0-0.1.20070619svnrev12.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/fastlz-0.1.0-0.1.20070619svnrev12.fc21
Comment 10 Fedora Update System 2014-09-08 09:41:32 EDT
fastlz-0.1.0-0.1.20070619svnrev12.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fastlz-0.1.0-0.1.20070619svnrev12.fc19
Comment 11 Fedora Update System 2014-09-08 09:41:37 EDT
fastlz-0.1.0-0.1.20070619svnrev12.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/fastlz-0.1.0-0.1.20070619svnrev12.el7
Comment 12 Remi Collet 2014-09-08 09:43:44 EDT
Closing to unblock blocked reviews
Comment 13 Fedora Update System 2014-09-19 06:09:22 EDT
fastlz-0.1.0-0.1.20070619svnrev12.fc20 has been pushed to the Fedora 20 stable repository.
Comment 14 Fedora Update System 2014-09-19 06:11:16 EDT
fastlz-0.1.0-0.1.20070619svnrev12.fc19 has been pushed to the Fedora 19 stable repository.
Comment 15 Fedora Update System 2014-09-23 00:24:55 EDT
fastlz-0.1.0-0.1.20070619svnrev12.fc21 has been pushed to the Fedora 21 stable repository.
Comment 16 Fedora Update System 2014-09-24 20:17:37 EDT
fastlz-0.1.0-0.1.20070619svnrev12.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 17 Fedora Update System 2014-09-24 20:18:16 EDT
fastlz-0.1.0-0.1.20070619svnrev12.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 18 Fedora Update System 2014-09-24 20:20:40 EDT
fastlz-0.1.0-0.1.20070619svnrev12.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.